post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method retrieves all the tags assigned to devices. Using the ‘getDeviceTags’ API, you can fetch tags assigned to individual devices and for all the devices in an Account.
| Key Name | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountnames | List of account names for which device tag keys are requested | Yes | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.getTagKeys(
accountnames=["DemoAccount1","DemoAccount2"]
)
print(response)
client.close()Requires Python 3.9 or later.